Bug 97861 - [amdgpu SI] purple line is visible on left side of the screen connected by HDMI
Summary: [amdgpu SI] purple line is visible on left side of the screen connected by HDMI
Status: RESOLVED MOVED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/AMDgpu (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-19 15:00 UTC by Arek Ruśniak
Modified: 2019-11-19 08:10 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
the purple line (1.72 MB, image/jpeg)
2016-09-19 15:00 UTC, Arek Ruśniak
no flags Details
dmesg (59.04 KB, text/x-log)
2016-09-19 15:03 UTC, Arek Ruśniak
no flags Details
dmesg | grep amdpro (1.43 KB, text/plain)
2017-04-01 18:28 UTC, jerry.flynn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arek Ruśniak 2016-09-19 15:00:51 UTC
Created attachment 126615 [details]
the purple line

kernel - 3 days old drm-next-4.9-wip
mesa/llvm/libdrm - latest
xorg - 1.18.4 / ~1.19

I have two displays: DVI monitor, always "on" and HDMI (TV) usually "off". 

When i turn on HDMI screen:
$xrandr --output DVI-I-1 --primary --mode 1680x1050 --output HDMI-A-0 --mode 1920x1080

On left side TV screen appears purple vertical line. 


1) this is 80-90% bug 91041, but amdgpu here and srcreen isn't blurry
$xrandr --output HDMI-A-0 --auto --set audio off
works for me
2) option audio=0 did the job as well 
3) Before Xorg/wayland start tty's are clean&black after X/wayland purple line is visible.  
4) problem is probably related to hdmi-audio so i don't even know if it's bug at all
Comment 1 Arek Ruśniak 2016-09-19 15:03:00 UTC
Created attachment 126616 [details]
dmesg

[drm] xxxx: dce_v6_0_afmt_setmode ----no impl !!!!!!!!
Comment 2 Ivan Bulatovic 2016-10-17 04:37:58 UTC
Same problem here, 4.9-rc1, AMD R270X, Xorg 1.18.4, xf86-video-amdgpu from git master, purple line and the screen is very blurry.

xrandr --output HDMI-A-0 --auto --set audio off

helps, thanks.
Comment 3 Gregor Münch 2017-01-08 12:37:22 UTC
I have the same problem. Purple Line on left side and overall blurry screen. When Audio off, the issues go away.

AMDGPU 1.20
Kernel 4.10 RC2
Radeon HD 7970
Comment 4 Elia Argentieri 2017-02-02 13:21:22 UTC
Same problem on R7 370 except that my monitor shows a black screen and reports "frequency not supported".
Comment 5 Thomas Hume 2017-03-03 23:59:11 UTC
Same problem here with my HDMI screen. Everything works fine (GNOME Wayland session and all) until I start an X server (not XWayland, actual X server from a "GNOME on Xorg" session) at which point the screen goes black (X server is mode-setting I'd imagine), and when it comes back on the purple line is present.
Logging out of the Xorg session and back into a Wayland session does *not* revert the problem; I haven't tried the xrandx trick yet.

The screen is indeed blurry (enough to make it unbearable to read any text with subpixel positioning for more that a few minutes). It might comes from the scaling of the output to the remaining space (screen space - purple line space). Furthermore, any screenshot does not capture the line and it's only an 'on screen' thing.
Comment 6 Thomas Hume 2017-03-04 00:01:17 UTC
Forgot the information.
Linux 4.9.11-1-ARCH, X Server 1.19.1 over a R9 280X using amdgpu
Xorg.0.log: http://pastebin.com/9PMrcKba
Comment 7 Marco Esposito 2017-03-17 09:32:28 UTC
I also get the same purple line on the left of a screen connected via HDMI.

Manjaro Linux
Kernel 4.10.1-1
Radeon HD7850
amdgpu 1.2.0-2
Comment 8 jerry.flynn 2017-04-01 18:27:55 UTC
Same issue.  Running 3 monitor set up. 1 monitor HDMI, one monitor HDMI cable plugged into a DP adapter and one DVI.  Two using the HDMI out have the purple line, DVI is fine.
Comment 9 jerry.flynn 2017-04-01 18:28:30 UTC
Created attachment 130634 [details]
dmesg | grep amdpro
Comment 10 James Wagner 2017-04-12 02:33:50 UTC
Same purple line on my R9 280X

Debian 9.0 (Testing)
Linux 4.10.6 with amdgpu for SI and CIK enabled (From kernel.org)
X.Org 1.19.2, from Debian.

`xrandr --output HDMI-A-0 --auto --set audio off` is a valid workaround, 
though it means that TV outputs have to be on the second display.

I also saw [drm] xxxx: dce_v6_0_afmt_setmode ----no impl !!!!!!!!
every time HDMI sound was enabled.
Comment 11 Alex Deucher 2017-08-08 21:53:48 UTC
Is this still an issue with a newer kernel?  Audio support was added to SI recently.
Comment 12 Gregor Münch 2017-08-10 07:36:21 UTC
Tested with yesterdays amd-staging-git-4.11 and the issue seems to be gone.
Looks like we can close this bug when Linux 4.13 is released.
Comment 13 Martin Peres 2019-11-19 08:10:25 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/drm/amd/issues/101.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.